Package org.eclipse.compare

# Class LabelContributionItem

java.lang.Object
org.eclipse.jface.action.ContributionItem
org.eclipse.jface.action.ControlContribution
org.eclipse.compare.LabelContributionItem

All Implemented Interfaces:
  `IContributionItem`

public class LabelContributionItem extends ControlContribution

Since:
  3.10 A contribution item which delegates to a label on the tool bar.

## Constructor Summary

Constructors
Constructor
Description
`LabelContributionItem(String id, String name)`

## Method Summary

Modifier and Type
Method
Description
`protected Control`
`createControl(Composite parent)`
Creates and returns the control for this contribution item under the given parent composite.
`Label`
`getToolbarLabel()`

### Methods inherited from class org.eclipse.jface.action.ControlContribution

`computeWidth, fill, fill, fill, setVisible, update, update`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`dispose, fill, getId, getParent, isDirty, isDynamic, isEnabled, isGroupMarker, isSeparator, isVisible, saveWidgetState, setId, setParent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LabelContributionItem

public LabelContributionItem(String id, String name)

Parameters:
  `id` -
  `name` -

## Method Details

### createControl

protected Control createControl(Composite parent)
Description copied from class: `ControlContribution`
Creates and returns the control for this contribution item under the given parent composite.

This framework method must be implemented by concrete subclasses.

Specified by:
  `createControl` in class `ControlContribution`
Parameters:
  `parent` - the parent composite
Returns:
  the new control, must not be `null`

### getToolbarLabel

public Label getToolbarLabel()